Bug 814572 - keyboard/pointer on acer iconia tablet stopped working after upgrade to f17
keyboard/pointer on acer iconia tablet stopped working after upgrade to f17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 02:59 EDT by birger
Modified: 2013-08-01 04:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:30:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output when attaching dock (1.72 KB, text/plain)
2012-04-20 02:59 EDT, birger
no flags Details
Xorg.0.log (106.84 KB, text/plain)
2012-04-25 18:17 EDT, birger
no flags Details
/proc/bus/input/devices (3.38 KB, text/plain)
2012-04-25 18:22 EDT, birger
no flags Details
requested output from udevadm (121.39 KB, text/plain)
2012-05-02 08:17 EDT, birger
no flags Details

  None (edit)
Description birger 2012-04-20 02:59:36 EDT
Created attachment 578880 [details]
dmesg output when attaching dock

Description of problem:

Hardware: Acer Iconia Tab W500 with keyboard/dock

After upgrade from fedora 16 to 17 the keyboard/mouse on the dock are non-functional. It doesn't matter if i boot with the dock attached or attach it later. dmesg shows that the keyboard and pointing device are recognized, but x will not make use of them.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: attached dmesg output
Comment 1 Peter Hutterer 2012-04-24 01:10:51 EDT
I need your xorg.log and /proc/bus/input/devices please.
Comment 2 birger 2012-04-25 18:17:13 EDT
Created attachment 580297 [details]
Xorg.0.log
Comment 3 birger 2012-04-25 18:22:55 EDT
Created attachment 580300 [details]
/proc/bus/input/devices
Comment 4 Peter Hutterer 2012-04-25 23:24:24 EDT
weird. what does udevadm info --export-db say?
Comment 5 birger 2012-05-02 08:17:46 EDT
Created attachment 581596 [details]
requested output from udevadm
Comment 6 birger 2012-05-02 08:19:41 EDT
sadly i will have to hand this tablet over to the windows group again, so latency for doing more testing will be a bit higher. i am booting fedora from sd-card, so i'll keep the card around.
Comment 7 Giacomo Montagner 2012-06-14 02:59:36 EDT
Hi, 
same thing here both if booting from an upgraded F16->F17 or with a live F17 kde x86_64 from usb pendrive. F16 still works well.
Comment 8 Peter Hutterer 2012-06-26 01:34:31 EDT
(In reply to comment #5)
> Created attachment 581596 [details]
> requested output from udevadm

this doesn't show the keyboard at all (assuming it's the SONiX keyboard we're talking about here). was this log taken with the keyboard attached? if not, can I get the same thing while the keyboard is attached? Thanks.
Comment 9 Fedora End Of Life 2013-07-03 22:30:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 04:30:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.